Subject: [PATCH v2] ARM: remove name from machine_desc for DT platforms

From: [email-masked] (Arnd Bergmann)
Date: Thu, 14 Nov 2013 13:32:58 +0100

On Wednesday 13 November 2013, Rob Herring wrote:
> I'm not inclined to expand cpuinfo and prior attempts to add more info
> to cpuinfo like SoC name have failed. The differences between x86 and
> arm cpuinfo already cause issues for arm. lscpu does not really work on arm.

Well, they turned into drivers/base/soc.c, which adds the information in
a structured way in sysfs, but is only used on a couple of platforms.

> I'd actually prefer If you really want more system info, then go read
> /proc/device-tree.

Good point.

	Arnd